Bug 95878 - UI: More useful function suggestion system in formula editing
Summary: UI: More useful function suggestion system in formula editing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Keigo Kawamura
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-17 16:57 CET by Keigo Kawamura
Modified: 2016-10-25 19:02 CEST (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Keigo Kawamura 2015-11-17 16:57:45 CET
I think we need more useful function suggestion system in formula editting like excel or google spreadsheet.

If I type "=s" in any cell, calc shows us a tool tip "=SUM()", and if I push ctrl+tab, tool tip shows "=SUMIF()". But I'd like to suggest that it is more useful that tool tip shows "sum, sumif, sumifs, ..." and "sum : calculate the total amount of arguments", and we can change the select function from "sum" to "sumif" if we push right-arrow or down-arrow key.
Comment 1 A (Andy) 2015-11-17 20:13:37 CET
Do I understand that right, that you mean like a pull-down menu/context menu from which you can select a function out of the proposals?
Because this sounds very interesting, also with the longer and more informative tooltips like you suggested.
Comment 2 Keigo Kawamura 2015-11-18 15:49:10 CET
(In reply to A (Andy) from comment #1)
> Do I understand that right, that you mean like a pull-down menu/context menu
> from which you can select a function out of the proposals?
> Because this sounds very interesting, also with the longer and more
> informative tooltips like you suggested.

Yes, that's precisely what I meant. Make new UI(like a pull-down menu) might be very difficult, but I feel the current tooltips are not sufficiently useful for us.
Comment 3 Keigo Kawamura 2015-11-18 15:53:14 CET
Even if making pull-down menu would be hard, I think we should make at least function suggestion list like "->sum, sumif, sumifs...". This can be realized only with tooltip we already have.
Comment 4 Commit Notification 2016-01-18 17:44:01 CET
Keigo Kawamura committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2a82d9bb256516ac589350579b90f43b68bd452

tdf#95878 made more useful function suggestion system in formula editing

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-01-18 18:56:35 CET
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e86e18bac7a79f26dc3082f356e8ca9eca9abf3

use nullptr, tdf#95878 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-01-21 15:11:51 CET
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50976bac119c24309c66c001e5161c36937198b1

IMHO " : " doesn't need to be localizable, tdf#95878 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-02-04 14:51:39 CET
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fb40eab369857488080d74790b52023f25c7d62

show parameter tip help below instead of above, tdf#95878 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Samuel Mehrbrodt (CIB) 2016-06-07 06:11:26 CEST
Seems this is fixed.
Please reopen if any issues still exist.